Skip to content
New issue

Have a question about this project? Sign up for a free GitHub account to open an issue and contact its maintainers and the community.

By clicking “Sign up for GitHub”, you agree to our terms of service and privacy statement. We’ll occasionally send you account related emails.

Already on GitHub? Sign in to your account

poppler: 0.83.0 -> 0.84.0 #77186

Merged
merged 1 commit into from Jan 18, 2020
Merged

poppler: 0.83.0 -> 0.84.0 #77186

merged 1 commit into from Jan 18, 2020

Conversation

@r-ryantm
Copy link
Contributor

@r-ryantm r-ryantm commented Jan 7, 2020

Semi-automatic update generated by https://github.com/ryantm/nixpkgs-update tools. This update was made based on information from https://repology.org/metapackage/poppler-glib/versions.

meta.description for poppler is: '"A PDF rendering library"'.

meta.homepage for poppler is: '"https://poppler.freedesktop.org/"

Checks done (click to expand)
Rebuild report (if merged into master) (click to expand)

1176 total rebuild path(s)

364 package rebuild(s)

364 x86_64-linux rebuild(s)
331 i686-linux rebuild(s)
148 x86_64-darwin rebuild(s)
333 aarch64-linux rebuild(s)

First fifty rebuilds by attrpath
R
adapta-gtk-theme
aesop
apvlv
arc-theme
arx-libertatis
asciidoc-full
asciidoc-full-with-plugins
asymptote
auctex
autofs5
bibata-cursors
bibata-cursors-translucent
bibata-extra-cursors
bookworm
btrbk
calibre
capitaine-cursors
cddlib
chrome-gnome-shell
cups-filters
dblatex
dblatexFull
deepin.dde-api
deepin.dde-control-center
deepin.dde-daemon
deepin.dde-dock
deepin.dde-file-manager
deepin.dde-kwin
deepin.dde-launcher
deepin.dde-session-ui
deepin.deepin-desktop-base
deepin.deepin-desktop-schemas
deepin.deepin-wallpapers
deja-dup
denemo
diff-pdf
diffpdf
digikam
disorderfs
dolphin
dragon
dropbox-cli
dwarf-fortress-packages.dwarf-fortress-full
dwarf-fortress-packages.dwarf-therapist
dwarf-fortress-packages.dwarf-therapist-original
dwarf-therapist
eaglemode
eclib
elisa

Instructions to test this update (click to expand)

Either download from Cachix:

nix-store -r /nix/store/mxgpm9m1wd9cds29ynqs3qv4gxz586i3-poppler-glib-0.84.0 \
  --option binary-caches 'https://cache.nixos.org/ https://r-ryantm.cachix.org/' \
  --option trusted-public-keys '
  r-ryantm.cachix.org-1:gkUbLkouDAyvBdpBX0JOdIiD2/DP1ldF3Z3Y6Gqcc4c=
  cache.nixos.org-1:6NCHdD59X431o0gWypbMrAURkbJ16ZPMQFGspcDShjY=
  '

(r-ryantm's Cachix cache is only trusted for this store-path realization.)

Or, build yourself:

nix-build -A poppler https://github.com/r-ryantm/nixpkgs/archive/d1dfbfd8d97c5a36cfcdf2bc26f883437ac3a4e8.tar.gz

After you've downloaded or built it, look at the files and if there are any, run the binaries:

ls -la /nix/store/mxgpm9m1wd9cds29ynqs3qv4gxz586i3-poppler-glib-0.84.0
ls -la /nix/store/mxgpm9m1wd9cds29ynqs3qv4gxz586i3-poppler-glib-0.84.0/bin

cc @ttuegel for testing.

@nh2
nh2 approved these changes Jan 18, 2020
Copy link
Contributor

@nh2 nh2 left a comment

Changelog

nix-review output (on top of master):

$ git -c fetch.prune=false fetch --force https://github.com/NixOS/nixpkgs staging:refs/nixpkgs-review/0 pull/77186/head:refs/nixpkgs-review/1
$ git worktree add /home/niklas/.cache/nixpkgs-review/pr-77186-2/nixpkgs 3ca5fedbd6a6c24e6373024040d6b8272157be63
Preparing worktree (detached HEAD 3ca5fedbd6a)
Updating files: 100% (20765/20765), done.
HEAD is now at 3ca5fedbd6a libde265: 1.0.4 -> 1.0.5 (#77881)
$ git merge --no-commit d1dfbfd8d97c5a36cfcdf2bc26f883437ac3a4e8
Automatic merge went well; stopped before committing as requested
$ nix build --no-link --keep-going --option build-use-sandbox relaxed -f /home/niklas/.cache/nixpkgs-review/pr-77186-2/build.nix
waiting for locks or build slots...
warning: SQLite database '/nix/var/nix/db/db.sqlite' is busy
warning: SQLite database '/nix/var/nix/db/db.sqlite' is busy
error: build of '/nix/store/80vb3sykbpsg8w959yg53bb1rqa4c98j-python3.7-sh-1.12.14.drv' failed: builder for '/nix/store/80vb3sykbpsg8w959yg53bb1rqa4c98j-python3.7-sh-1.12.14.drv' failed with exit code 1
builder for '/nix/store/80vb3sykbpsg8w959yg53bb1rqa4c98j-python3.7-sh-1.12.14.drv' failed with exit code 1; last 10 log lines:
  RuntimeError: reentrant call inside <_io.BufferedWriter name='<stdout>'>
  
  
  ----------------------------------------------------------------------
  Ran 156 tests in 56.248s
  
  FAILED (errors=1)
  Test failed: <unittest.runner.TextTestResult run=156 errors=1 failures=0>
  error: Test failed: <unittest.runner.TextTestResult run=156 errors=1 failures=0>
  builder for '/nix/store/80vb3sykbpsg8w959yg53bb1rqa4c98j-python3.7-sh-1.12.14.drv' failed with exit code 1
error: build of '/nix/store/r1f297ig4p9lb0wvxnp7dwfwqz3cih7d-gnustep-base-1.26.0.drv' failed: builder for '/nix/store/r1f297ig4p9lb0wvxnp7dwfwqz3cih7d-gnustep-base-1.26.0.drv' failed with exit code 77
builder for '/nix/store/r1f297ig4p9lb0wvxnp7dwfwqz3cih7d-gnustep-base-1.26.0.drv' failed with exit code 1; last 10 log lines:
  checking for User Man Documentation directory... GNUstep/Library/Documentation/man
  checking for System User directory... /home
  checking for Network User directory... /home
  checking for Local User directory... /home
  checking for gcc... clang
  checking whether the C compiler works... no
  configure: error: in `/build/gnustep-base-1.26.0':
  configure: error: C compiler cannot create executables
  See `config.log' for more details
  builder for '/nix/store/r1f297ig4p9lb0wvxnp7dwfwqz3cih7d-gnustep-base-1.26.0.drv' failed with exit code 77
cannot build derivation '/nix/store/dchf11jnysjcrpilvqgj5briph603w7b-unar-1.10.1.drv': 1 dependencies couldn't be built
error: build of '/nix/store/qgrybcwg2d9232s29q8iiggmvaljqd0w-python3.7-pycurl-7.43.0.3.drv' failed: builder for '/nix/store/qgrybcwg2d9232s29q8iiggmvaljqd0w-python3.7-pycurl-7.43.0.3.drv' failed with exit code 1
builder for '/nix/store/qgrybcwg2d9232s29q8iiggmvaljqd0w-python3.7-pycurl-7.43.0.3.drv' failed with exit code 1; last 10 log lines:
  test_post_tuple_of_lists_of_tuples passed 1 out of the required 1 times. Success!
  test_post_tuple_of_tuple_of_lists passed 1 out of the required 1 times. Success!
  test_post_tuple_of_tuples_of_tuples passed 1 out of the required 1 times. Success!
  test_post_unicode_buffer passed 1 out of the required 1 times. Success!
  test_post_with_null_byte passed 1 out of the required 1 times. Success!
  
  ===End Flaky Test Report===
  ===== 1 failed, 372 passed, 7 skipped, 9 deselected, 8 warnings in 41.09s ======
  part1part2
  builder for '/nix/store/qgrybcwg2d9232s29q8iiggmvaljqd0w-python3.7-pycurl-7.43.0.3.drv' failed with exit code 1
cannot build derivation '/nix/store/y83znh1vilwbfmaa13pf3fv5vj8ql8hl-python3.7-python-dotenv-0.10.3.drv': 1 dependencies couldn't be built
error: build of '/nix/store/kymmi943284z8b4ghvbd2sv8855vq46d-python2.7-Babel-2.7.0.drv' failed: builder for '/nix/store/kymmi943284z8b4ghvbd2sv8855vq46d-python2.7-Babel-2.7.0.drv' failed with exit code 1
builder for '/nix/store/kymmi943284z8b4ghvbd2sv8855vq46d-python2.7-Babel-2.7.0.drv' failed with exit code 1; last 10 log lines:
  test_comment_tags_not_on_start_of_comment (tests.messages.test_extract.ExtractPythonTestCase) ... ok
  test_comments_with_calls_that_spawn_multiple_lines (tests.messages.test_extract.ExtractPythonTestCase) ... ok
  test_concatenated_strings (tests.messages.test_extract.ExtractPythonTestCase) ... ok
  test_declarations (tests.messages.test_extract.ExtractPythonTestCase) ... ok
  test_different_signatures (tests.messages.test_extract.ExtractPythonTestCase) ... ok
  test_extract_default_encoding_ascii (tests.messages.test_extract.ExtractPythonTestCase) ... ok
  test_extract_default_encoding_utf8 (tests.messages.test_extract.ExtractPythonTestCase) ... ok
  test_extract_strip_comment_tags (tests.messages.test_extract.ExtractPythonTestCase) ... ok
  test_invalid_translator_comments (tests.messages.test_extract.ExtractPythonTestCase) ... ok
  test_invalid_translator_comments2 (tests.messages.test_extract.ExtractPythonTestCase) ... ok
error: build of '/nix/store/1qv2y51m7nlwjnxxncc06925bhi8dn8z-python3.7-pyzmq-18.1.1.drv' failed: builder for '/nix/store/1qv2y51m7nlwjnxxncc06925bhi8dn8z-python3.7-pyzmq-18.1.1.drv' failed with exit code 1
builder for '/nix/store/1qv2y51m7nlwjnxxncc06925bhi8dn8z-python3.7-pyzmq-18.1.1.drv' failed with exit code 1; last 10 log lines:
  
  -- Docs: https://docs.pytest.org/en/latest/warnings.html
  ==== 1 failed, 205 passed, 23 skipped, 47 deselected, 49 warnings in 50.01s ====
  Task was destroyed but it is pending!
  task: <Task pending coro=<AsyncioAuthenticator.__handle_zap() done, defined at /nix/store/02q2x7isnnfgw186mh08shqf5n71m7dp-python3.7-pyzmq-18.1.1/lib/python3.7/site-packages/zmq/auth/asyncio/__init__.py:25> wait_for=<Future cancelled>>
  Task was destroyed but it is pending!
  task: <Task pending coro=<AsyncioAuthenticator.__handle_zap() done, defined at /nix/store/02q2x7isnnfgw186mh08shqf5n71m7dp-python3.7-pyzmq-18.1.1/lib/python3.7/site-packages/zmq/auth/asyncio/__init__.py:25> wait_for=<Future cancelled>>
  Task was destroyed but it is pending!
  task: <Task pending coro=<AsyncioAuthenticator.__handle_zap() done, defined at /nix/store/02q2x7isnnfgw186mh08shqf5n71m7dp-python3.7-pyzmq-18.1.1/lib/python3.7/site-packages/zmq/auth/asyncio/__init__.py:25> wait_for=<Future cancelled>>
  builder for '/nix/store/1qv2y51m7nlwjnxxncc06925bhi8dn8z-python3.7-pyzmq-18.1.1.drv' failed with exit code 1
cannot build derivation '/nix/store/63f37z2ywg8icsxgyd8bw5wd6123sik4-python3.7-jupyter_client-5.3.4.drv': 1 dependencies couldn't be built
cannot build derivation '/nix/store/1q494xppyg9gj0ri2xlr8nsmsra1v1yx-python3.7-ipykernel-5.1.3.drv': 1 dependencies couldn't be built
cannot build derivation '/nix/store/ba37k8z9mwx4f1y9z7fpbgdk5x6rxzmv-python3-3.7.6-env.drv': 3 dependencies couldn't be built
warning: SQLite database '/nix/var/nix/db/db.sqlite' is busy
cannot build derivation '/nix/store/xr9zxvkpnfj1xc0rg59n5j09fsmixag8-python3-3.7.6-env.drv': 1 dependencies couldn't be built
cannot build derivation '/nix/store/z8diihiapdgjlyr1k9mjj60zwgqlgb8s-python3-3.7.6-env.drv': 1 dependencies couldn't be built
cannot build derivation '/nix/store/mpvi1gxr15f1irmm2csszi2h2mixkl2c-python2.7-sphinx-1.8.5.drv': 1 dependencies couldn't be built
cannot build derivation '/nix/store/ilx7ysv3bn789sv7zwsh9ynmmg5dw5rw-python2.7-Flask-Babel-0.12.2.drv': 1 dependencies couldn't be built
cannot build derivation '/nix/store/2ws0g1jwgzmj0fndajnjnrig4f0qaq6x-python2.7-sagenb-1.1.2.drv': 1 dependencies couldn't be built
cannot build derivation '/nix/store/dwdig6h57rw22naz5r7i2dpcjm7yavji-system-config-printer-1.5.12.drv': 1 dependencies couldn't be built
error: build of '/nix/store/yjvvr8s62gw0rlrm7p9n3dp0qj3j1q4g-mesos-1.4.1.drv' failed: builder for '/nix/store/yjvvr8s62gw0rlrm7p9n3dp0qj3j1q4g-mesos-1.4.1.drv' failed with exit code 1
builder for '/nix/store/yjvvr8s62gw0rlrm7p9n3dp0qj3j1q4g-mesos-1.4.1.drv' failed with exit code 1; last 10 log lines:
  checking for netlink/route/link/veth.h... yes
  checking for idiagnl_msg_alloc_cache in -lnl-idiag-3... yes
  checking google/protobuf/message.h usability... yes
  checking google/protobuf/message.h presence... yes
  checking for google/protobuf/message.h... yes
  checking for /nix/store/17sj1baw89qa0d3324fx6am5jwq90cqg-mesos-maven-deps/com/google/protobuf/protobuf-java/3.3.0/protobuf-java-3.3.0.jar... yes
  checking for protoc... protoc
  checking python2 module: google.protobuf... no
  configure: error: failed to find required module google.protobuf
  builder for '/nix/store/yjvvr8s62gw0rlrm7p9n3dp0qj3j1q4g-mesos-1.4.1.drv' failed with exit code 1
cannot build derivation '/nix/store/i8afr6wa9jxgfdfg42bmk4csp25hb207-python2.7-matplotlib-2.2.3.drv': 1 dependencies couldn't be built
cannot build derivation '/nix/store/1yl6f212awjyy7xf7p2lazslhrqy05y0-python2.7-descartes-1.1.0.drv': 1 dependencies couldn't be built
cannot build derivation '/nix/store/l3s994fljr1wjsga443cpn4sy36w9nqq-yoda-1.7.7.drv': 1 dependencies couldn't be built
cannot build derivation '/nix/store/vkjg5fkg2j33jymcjszhv14ihv8z3lcr-python2.7-geopandas-0.6.2.drv': 1 dependencies couldn't be built
error: build of '/nix/store/hjgrms25kd06wxnfh6v0qq0d65kjvmai-mysql-workbench-8.0.15.drv' failed: builder for '/nix/store/hjgrms25kd06wxnfh6v0qq0d65kjvmai-mysql-workbench-8.0.15.drv' failed with exit code 1
builder for '/nix/store/hjgrms25kd06wxnfh6v0qq0d65kjvmai-mysql-workbench-8.0.15.drv' failed with exit code 1; last 10 log lines:
  ../library/grt/src/grt.h: In member function 'grt::DictRef& grt::DictRef::operator=(const grt::DictRef&)':
  ../library/grt/src/grt.h:1628:20: error: implicitly-declared 'grt::DictRef::DictRef(const grt::DictRef&)' is deprecated [-Werror=deprecated-copy]
   1628 |       DictRef tmp(o);
        |                    ^
  ../library/grt/src/grt.h:1627:21: note: because 'grt::DictRef' has user-provided 'grt::DictRef& grt::DictRef::operator=(const grt::DictRef&)'
   1627 |     inline DictRef &operator=(const DictRef &o) {
        |                     ^~~~~~~~
  cc1plus: all warnings being treated as errors
  ninja: build stopped: subcommand failed.
  builder for '/nix/store/hjgrms25kd06wxnfh6v0qq0d65kjvmai-mysql-workbench-8.0.15.drv' failed with exit code 1
error: build of '/nix/store/qcaihy2d2n2vq2sy02zq7sj0g2fbvzks-python3.8-paperwork-backend-1.2.4.drv' failed: builder for '/nix/store/qcaihy2d2n2vq2sy02zq7sj0g2fbvzks-python3.8-paperwork-backend-1.2.4.drv' failed with exit code 1
builder for '/nix/store/qcaihy2d2n2vq2sy02zq7sj0g2fbvzks-python3.8-paperwork-backend-1.2.4.drv' failed with exit code 1; last 10 log lines:
    File "/nix/store/bs60ky7ngp0v3hldqlkzvakyq2402xmv-python3.8-paperwork-backend-1.2.4/bin/.paperwork-shell-wrapped", line 9, in <module>
      sys.exit(main())
    File "/nix/store/bs60ky7ngp0v3hldqlkzvakyq2402xmv-python3.8-paperwork-backend-1.2.4/lib/python3.8/site-packages/paperwork_backend/shell_cmd.py", line 214, in main
      sys.exit(COMMANDS[args.cmd](*args.cmd_args))
    File "/nix/store/bs60ky7ngp0v3hldqlkzvakyq2402xmv-python3.8-paperwork-backend-1.2.4/lib/python3.8/site-packages/paperwork_backend/shell_cmd.py", line 139, in chkdeps
      distribution = get_distribution()
    File "/nix/store/bs60ky7ngp0v3hldqlkzvakyq2402xmv-python3.8-paperwork-backend-1.2.4/lib/python3.8/site-packages/paperwork_backend/shell_cmd.py", line 62, in get_distribution
      distribution = platform.dist()
  AttributeError: module 'platform' has no attribute 'dist'
  builder for '/nix/store/qcaihy2d2n2vq2sy02zq7sj0g2fbvzks-python3.8-paperwork-backend-1.2.4.drv' failed with exit code 1
error: build of '/nix/store/vm0v1mhjjqs3yspncx8i8mxhnbi83h8k-kitinerary-19.08.3.drv' failed: builder for '/nix/store/vm0v1mhjjqs3yspncx8i8mxhnbi83h8k-kitinerary-19.08.3.drv' failed with exit code 2
builder for '/nix/store/vm0v1mhjjqs3yspncx8i8mxhnbi83h8k-kitinerary-19.08.3.drv' failed with exit code 1; last 10 log lines:
     51 |     explicit QScopedValueRollback(T &var) :
        |              ^~~~~~~~~~~~~~~~~~~~
  /nix/store/5a8kkviwx6q6f8zl968g0bxcdssxm1q9-qtbase-5.12.6-dev/include/QtCore/qscopedvaluerollback.h:51:14: note:   candidate expects 1 argument, 2 provided
  make[2]: *** [src/CMakeFiles/KPimItinerary.dir/build.make:472: src/CMakeFiles/KPimItinerary.dir/pdf/pdfextractoroutputdevice.cpp.o] Error 1
  make[2]: *** Waiting for unfinished jobs....
  make[2]: *** [src/CMakeFiles/KPimItinerary.dir/build.make:485: src/CMakeFiles/KPimItinerary.dir/pdf/pdfimage.cpp.o] Error 1
  make[2]: *** [src/CMakeFiles/KPimItinerary.dir/build.make:459: src/CMakeFiles/KPimItinerary.dir/pdf/pdfdocument.cpp.o] Error 1
  make[1]: *** [CMakeFiles/Makefile2:309: src/CMakeFiles/KPimItinerary.dir/all] Error 2
  make: *** [Makefile:130: all] Error 2
  builder for '/nix/store/vm0v1mhjjqs3yspncx8i8mxhnbi83h8k-kitinerary-19.08.3.drv' failed with exit code 2
cannot build derivation '/nix/store/q08fjrf7niwl4yam4n2vi4jpq4fn4m51-python2.7-cartopy-0.17.0.drv': 1 dependencies couldn't be built
error: build of '/nix/store/y95lp0l7gkwjmli0cx1vzsqxq9a0wya1-scribus-1.5.5.drv' failed: builder for '/nix/store/y95lp0l7gkwjmli0cx1vzsqxq9a0wya1-scribus-1.5.5.drv' failed with exit code 2
builder for '/nix/store/y95lp0l7gkwjmli0cx1vzsqxq9a0wya1-scribus-1.5.5.drv' failed with exit code 1; last 10 log lines:
  [ 87%] Building CXX object scribus/plugins/import/pdf/CMakeFiles/importpdf.dir/pdfimportoptions.cpp.o
  [ 87%] Building CXX object scribus/plugins/import/pdf/CMakeFiles/importpdf.dir/slaoutput.cpp.o
  /build/scribus-1.5.5/scribus/plugins/import/pdf/slaoutput.cpp: In member function 'void SlaOutputDev::startDoc(PDFDoc*, XRef*, Catalog*)':
  /build/scribus-1.5.5/scribus/plugins/import/pdf/slaoutput.cpp:1232:16: error: 'class GlobalParams' has no member named 'getEnableFreeType'
   1232 |  globalParams->getEnableFreeType(),
        |                ^~~~~~~~~~~~~~~~~
  make[2]: *** [scribus/plugins/import/pdf/CMakeFiles/importpdf.dir/build.make:114: scribus/plugins/import/pdf/CMakeFiles/importpdf.dir/slaoutput.cpp.o] Error 1
  make[1]: *** [CMakeFiles/Makefile2:3131: scribus/plugins/import/pdf/CMakeFiles/importpdf.dir/all] Error 2
  make: *** [Makefile:152: all] Error 2
  builder for '/nix/store/y95lp0l7gkwjmli0cx1vzsqxq9a0wya1-scribus-1.5.5.drv' failed with exit code 2
cannot build derivation '/nix/store/qrix01ihkmbn8q91gn72j15m8jspmcs7-fastnlo_toolkit-2.3.1pre-2402.drv': 1 dependencies couldn't be built
cannot build derivation '/nix/store/6dvlh0xrcdn431vpl0yrx75xg9kllmvy-paperless-2.7.0.drv': 2 dependencies couldn't be built
error: build of '/nix/store/mmgqnmgw7648xmh6v7m65ly6ggbyi8bp-perl5.30.1-gscan2pdf-2.6.3.drv' failed: builder for '/nix/store/mmgqnmgw7648xmh6v7m65ly6ggbyi8bp-perl5.30.1-gscan2pdf-2.6.3.drv' failed with exit code 2
builder for '/nix/store/mmgqnmgw7648xmh6v7m65ly6ggbyi8bp-perl5.30.1-gscan2pdf-2.6.3.drv' failed with exit code 1; last 10 log lines:
  -------------------
  t/1601_import_DjVu.t                        (Wstat: 65280 Tests: 11 Failed: 1)
    Failed test:  11
    Non-zero exit status: 255
    Parse errors: Bad plan.  You planned 10 tests but ran 11.
  Files=233, Tests=1108, 464 wallclock secs ( 1.05 usr  0.29 sys + 211.27 cusr 88.84 csys = 301.45 CPU)
  Result: FAIL
  Failed 1/233 test programs. 1/1108 subtests failed.
  make: *** [Makefile:930: test_dynamic] Error 255
  builder for '/nix/store/mmgqnmgw7648xmh6v7m65ly6ggbyi8bp-perl5.30.1-gscan2pdf-2.6.3.drv' failed with exit code 2
cannot build derivation '/nix/store/7iw53jniq3cn0bfy1f7m7plvci6jzprl-kdepim-addons-19.08.3.drv': 1 dependencies couldn't be built
waiting for locks or build slots...
error: build of '/nix/store/y2ync3d2hb70k45vvcip8rz7zasmd4zi-texlive-bin-2019.drv' failed: builder for '/nix/store/y2ync3d2hb70k45vvcip8rz7zasmd4zi-texlive-bin-2019.drv' failed with exit code 2
builder for '/nix/store/y2ync3d2hb70k45vvcip8rz7zasmd4zi-texlive-bin-2019.drv' failed with exit code 1; last 10 log lines:
  make[4]: *** [Makefile:15951: all-recursive] Error 1
  make[4]: Leaving directory '/build/texlive-20190410-source/WorkDir/texk/web2c'
  make[3]: *** [Makefile:4951: all] Error 2
  make[3]: Leaving directory '/build/texlive-20190410-source/WorkDir/texk/web2c'
  make[2]: *** [Makefile:909: recurse] Error 1
  make[2]: Leaving directory '/build/texlive-20190410-source/WorkDir/texk'
  make[1]: *** [Makefile:486: all-recursive] Error 1
  make[1]: Leaving directory '/build/texlive-20190410-source/WorkDir/texk'
  make: *** [Makefile:574: all-recursive] Error 1
  builder for '/nix/store/y2ync3d2hb70k45vvcip8rz7zasmd4zi-texlive-bin-2019.drv' failed with exit code 2
cannot build derivation '/nix/store/gxbbbqnskljcgmz1bmklwrnffxa97k1z-evince-3.34.2.drv': 1 dependencies couldn't be built
cannot build derivation '/nix/store/8gxyq85myn844pbav6nv6fl60rhzl0qj-texlive-bibtex-x.bin-2019.drv': 1 dependencies couldn't be built
cannot build derivation '/nix/store/h3gdh1ixw5b4a4zvamhgdw4p5p2j82jf-texlive-core-big.bin-2019.drv': 1 dependencies couldn't be built
cannot build derivation '/nix/store/rnrpsvif06v7v4xml0yp0290ky6mcw8n-texlive-dvipng.bin-2019.drv': 1 dependencies couldn't be built
cannot build derivation '/nix/store/pf19alzdiw2g04rckf75iw0ciy2j6v9k-texlive-dvisvgm.bin-2019.drv': 1 dependencies couldn't be built
cannot build derivation '/nix/store/j1qpwldmswdl7wl13rnda7b1lpqhjjfh-texlive-xdvi.bin-2019.drv': 1 dependencies couldn't be built
cannot build derivation '/nix/store/yzi0ins2cb19b1rv017g994wvyx1imjq-zathura-core-0.4.4.drv': 1 dependencies couldn't be built
cannot build derivation '/nix/store/cxxp41cslfcpjmm9mpwdxpd8gmzdr1s1-glom-unstable-2018-12-16.drv': 1 dependencies couldn't be built
cannot build derivation '/nix/store/0g290cj369yryhbz2i8rci8pxxkdfhr1-texlive-combined-2019.drv': 2 dependencies couldn't be built
cannot build derivation '/nix/store/5g32a45q7d4470g8hgbdgwsfqa6hmyrp-texlive-combined-2019.drv': 3 dependencies couldn't be built
cannot build derivation '/nix/store/6mbsms8maa2m75x397lbilnx7a07a70z-texlive-combined-2019.drv': 2 dependencies couldn't be built
cannot build derivation '/nix/store/fpvcgl09xyak0dj1wl7ncl7d9mvl9avv-texlive-combined-2019.drv': 2 dependencies couldn't be built
cannot build derivation '/nix/store/gkd914psrscc3bic5apzy1jh79him7f5-texlive-combined-2019.drv': 2 dependencies couldn't be built
cannot build derivation '/nix/store/ki8wk78cjfadqnlmchp6frv2y84ri272-texlive-combined-2019.drv': 2 dependencies couldn't be built
cannot build derivation '/nix/store/lc29lgj6i4yih3nhjl5927ira1pjbyvz-texlive-combined-2019.drv': 3 dependencies couldn't be built
cannot build derivation '/nix/store/wbb0w9b4nmkmc5kixs3lswin4d8al1sm-texlive-combined-2019.drv': 2 dependencies couldn't be built
cannot build derivation '/nix/store/z2h6d91b8p026a3knqqp9lqx9y1x6wg8-texlive-combined-2019.drv': 2 dependencies couldn't be built
cannot build derivation '/nix/store/zmjbv9jp4fshrfzxmmvsgcx15vn8b3i2-texlive-combined-2019.drv': 2 dependencies couldn't be built
cannot build derivation '/nix/store/w87gn0a2rilnrig574lswi2sf9yncp5w-texlive-combined-basic-2019.drv': 2 dependencies couldn't be built
cannot build derivation '/nix/store/yvjy20bbpgj1qk9j3446zz31ifs1krhy-texlive-combined-minimal-2019.drv': 2 dependencies couldn't be built
cannot build derivation '/nix/store/bn01ns3mdqk5azmhp48dh04yi7rdy0lf-texlive-combined-small-2019.drv': 2 dependencies couldn't be built
cannot build derivation '/nix/store/i5fg5dbddx1qw8sm4v8y0d3wyp1gymjn-zathura-cb-0.1.8.drv': 1 dependencies couldn't be built
cannot build derivation '/nix/store/fxc0w6j435prbbpca82npa096dfmszkx-zathura-djvu-0.2.8.drv': 1 dependencies couldn't be built
cannot build derivation '/nix/store/1bc03lrwk880h3v49w4lnh3gqf7x61ql-zathura-pdf-mupdf-0.3.5.drv': 1 dependencies couldn't be built
cannot build derivation '/nix/store/bx2hk8dbr9c3nsw1369wpc3mpam0js7r-zathura-ps-0.2.6.drv': 1 dependencies couldn't be built
cannot build derivation '/nix/store/1nzc2vdb8f30knz76vc2bp9ccdxp6bq5-R-3.6.2.drv': 1 dependencies couldn't be built
cannot build derivation '/nix/store/jhn1f60r4bmz1cap1sd3vy59h7p72mzw-TeXmacs-1.99.11.drv': 1 dependencies couldn't be built
cannot build derivation '/nix/store/s5yn9c360ac0rms64cprwmj0ff59c0ip-asymptote-2.61.drv': 1 dependencies couldn't be built
cannot build derivation '/nix/store/sxkf7lmy433a7rw46dipjq35yf97gv7s-auctex-12.2.drv': 1 dependencies couldn't be built
cannot build derivation '/nix/store/zsxcmfcl3qv5mhjgc61if89arwbrlprm-binary-paths.patch.drv': 1 dependencies couldn't be built
cannot build derivation '/nix/store/l7blxfpjcyi4arbqjghwf3whpz7rnag4-cddlib-0.94j.drv': 1 dependencies couldn't be built
cannot build derivation '/nix/store/cizzwa7hd35kd1gwd5giln153kirqf12-dblatex-0.3.11.drv': 1 dependencies couldn't be built
cannot build derivation '/nix/store/gvdhizkcsww802hc0n6jb25pxy9xzqdw-dblatex-0.3.11.drv': 1 dependencies couldn't be built
cannot build derivation '/nix/store/a5rhhvf5l8hnjndin3cy37v45802l7v5-dwarf-therapist-41.0.2.drv': 1 dependencies couldn't be built
cannot build derivation '/nix/store/41nad048493ivyv1vnv4j5bshafjmsy8-enblend-enfuse-4.2.drv': 1 dependencies couldn't be built
cannot build derivation '/nix/store/4i9ywzjdicb08gllvzaxsdfzravw1wv8-eukleides-1.5.4.drv': 1 dependencies couldn't be built
cannot build derivation '/nix/store/gdds04d85klr2q9k3lk7377mqw6zn75k-ipe-7.2.13.drv': 1 dependencies couldn't be built
cannot build derivation '/nix/store/29cg00903wp0b0akdq7mhsxqna5xjv28-mit-scheme-9.2.drv': 1 dependencies couldn't be built
cannot build derivation '/nix/store/jm1yqhq2gvsh3sl3d868byia633wpx7m-mit-scheme-x11-9.2.drv': 1 dependencies couldn't be built
cannot build derivation '/nix/store/ag698c7yxn8whzbd09hq322xrj2gggi8-nuweb-1.58.drv': 1 dependencies couldn't be built
cannot build derivation '/nix/store/j2wxn6q2vkpmisjx7d1y1s5wh0xj8spa-pari-2.11.2.drv': 1 dependencies couldn't be built
cannot build derivation '/nix/store/wcr595lnw8w8f4i1cc57a3c8pv4axj3n-perl5.28.2-po4a-0.55.drv': 1 dependencies couldn't be built
cannot build derivation '/nix/store/b2zj1cxqq5ka42cc8qbyczjg6hv7dsrc-perl5.30.1-po4a-0.55.drv': 1 dependencies couldn't be built
cannot build derivation '/nix/store/mg5712y5pyzff382b43lrpb2m439404w-rivet-2.7.2.drv': 2 dependencies couldn't be built
cannot build derivation '/nix/store/x4zxnm4iwd02wyfp0j372cb0mgisfjgx-skribilo-0.9.4.drv': 1 dependencies couldn't be built
cannot build derivation '/nix/store/q0xvhvb10kqwlg5bx8m31p6c7kr161a4-texlive-xindy.bin-2019.drv': 1 dependencies couldn't be built
cannot build derivation '/nix/store/50kjcig2r4liqnrvp2gdpqn32alzy0kr-zathura-with-plugins-0.4.4.drv': 5 dependencies couldn't be built
cannot build derivation '/nix/store/j4pdfgzm759pz28jvxffam9wbpx3v94j-dwarf-therapist-41.0.2.drv': 1 dependencies couldn't be built
cannot build derivation '/nix/store/mvwwmf8i9lqcm1lx3v26nicldcj4ppdf-eclib-20190909.drv': 1 dependencies couldn't be built
cannot build derivation '/nix/store/bkjnviqkqyb3kmpp4ysqwsvbb7jn34kp-gfan-0.6.2.drv': 1 dependencies couldn't be built
cannot build derivation '/nix/store/y2rcsmadni9vmhn3kjrc5lq7vgdl3aml-giac-1.5.0-21.drv': 2 dependencies couldn't be built
cannot build derivation '/nix/store/73yy6jlqi236sanrbkjbkb68agvb2m8v-giac-with-xcas-1.5.0-21.drv': 2 dependencies couldn't be built
cannot build derivation '/nix/store/z3n0a5bnjlgrf9xznq373ps2q61qclwa-gp2c-0.0.11pl2.drv': 1 dependencies couldn't be built
cannot build derivation '/nix/store/0fprmy48mwxyb12ldqmz0pcjxzbyg4vy-hugin-2019.0.0.drv': 1 dependencies couldn't be built
cannot build derivation '/nix/store/ar0fkc9cjin705hwxppszpmlsdcgrl3a-inline-r-0.10.2.drv': 1 dependencies couldn't be built
cannot build derivation '/nix/store/1bdq4ldk53xhgymgkn3q9sfrr56c94b0-lcalc-1.23.drv': 1 dependencies couldn't be built
cannot build derivation '/nix/store/4rldigkipcbadbx61a2fshh5371bd5vr-lilypond-2.18.2.drv': 2 dependencies couldn't be built
cannot build derivation '/nix/store/s83qngsyzw3br3gymphgq17rdiwm08qz-lilypond-2.19.83.drv': 2 dependencies couldn't be built
cannot build derivation '/nix/store/0q2r88fb6labxiaajp9l6451zbxs1qcn-mcgrid-2.0.2.drv': 2 dependencies couldn't be built
cannot build derivation '/nix/store/2wdmvhm5cv0zgfh80lcfj9sxyh81pwy7-modem-manager-gui-0.0.19.1.drv': 1 dependencies couldn't be built
cannot build derivation '/nix/store/9pa5y5hi3dywai7h8hcis3r6k8ryiml7-python2.7-cysignals-1.10.2.drv': 1 dependencies couldn't be built
cannot build derivation '/nix/store/q9d04x6iiw7c4byq5dkp2rimpv1i4c2z-python2.7-sphinxcontrib-tikz-0.4.6.drv': 2 dependencies couldn't be built
cannot build derivation '/nix/store/lx3hp45xp1df39883vy9ha3ff1dgw9zp-python3.7-cysignals-1.10.2.drv': 1 dependencies couldn't be built
cannot build derivation '/nix/store/f9crm94nz71mvkmbqndyfdadsrrxg4jf-python3.7-sphinxcontrib-tikz-0.4.6.drv': 1 dependencies couldn't be built
cannot build derivation '/nix/store/v93kzylgqr5b094kfqk73hwmyq38m0sx-python3.8-cysignals-1.10.2.drv': 1 dependencies couldn't be built
cannot build derivation '/nix/store/39dzvg70g0riqj2fryif7xr6gbsgbdgh-python3.8-sphinxcontrib-tikz-0.4.6.drv': 1 dependencies couldn't be built
cannot build derivation '/nix/store/q2n1hb1k39xc4px95a2cdh3k96iqifl2-r-BH-1.69.0-1.drv': 1 dependencies couldn't be built
cannot build derivation '/nix/store/4a09bny5ghm5df0fdgw1ssrkrw4ymq53-r-DBI-1.0.0.drv': 1 dependencies couldn't be built
cannot build derivation '/nix/store/k8x13iww5j3dp67zn5skrlks5csdzwpq-r-KernSmooth-2.23-16.drv': 1 dependencies couldn't be built
cannot build derivation '/nix/store/fgr780ixjabnikg5b0rxw2q0agqi2a21-r-MASS-7.3-51.4.drv': 1 dependencies couldn't be built
cannot build derivation '/nix/store/rbk4zfsvhpgm17j2c39vwvpm2m3cz6zc-r-R6-2.4.1.drv': 1 dependencies couldn't be built
cannot build derivation '/nix/store/15hnkvhh0x5797kqzqz4djkrf5nldmz7-r-RColorBrewer-1.1-2.drv': 1 dependencies couldn't be built
cannot build derivation '/nix/store/bxxvadahvnicss0kbfqpqm7yf3nm1rbi-r-Rcpp-1.0.3.drv': 1 dependencies couldn't be built
cannot build derivation '/nix/store/3vk930kgx12air5013g0pwm6phjr0y12-r-assertthat-0.2.1.drv': 1 dependencies couldn't be built
cannot build derivation '/nix/store/x0dqzmribwb50f97c9c2xqv571z8xw8f-r-backports-1.1.5.drv': 1 dependencies couldn't be built
cannot build derivation '/nix/store/da3qw9h7digvamghz9wp1k26ivqi3dgg-r-bit-1.1-14.drv': 1 dependencies couldn't be built
cannot build derivation '/nix/store/61jnrh33rf33ixvy0kq3py2ixhwmdan1-r-boot-1.3-23.drv': 1 dependencies couldn't be built
cannot build derivation '/nix/store/pk1j42lx1slcypqznw4vla0nwwghmhxc-r-cluster-2.1.0.drv': 1 dependencies couldn't be built
cannot build derivation '/nix/store/m16fj3w6xvap7xs00ninzc6bm55sx9zy-r-codetools-0.2-16.drv': 1 dependencies couldn't be built
cannot build derivation '/nix/store/59i4gia22ch831np2q3wh6yi9ks07k81-r-colorspace-1.4-1.drv': 1 dependencies couldn't be built
cannot build derivation '/nix/store/fglz1g3gsqn5b89qbqxfkr0dya50wj27-r-crayon-1.3.4.drv': 1 dependencies couldn't be built
cannot build derivation '/nix/store/0gpc4901z5pm6zyar17nnjl5n2rajw5b-r-digest-0.6.23.drv': 1 dependencies couldn't be built
cannot build derivation '/nix/store/l3rwbk5khsh9mlqzqh31zaadg51ql8ra-r-fansi-0.4.0.drv': 1 dependencies couldn't be built
cannot build derivation '/nix/store/5vjl8b21zk0fccw9xzplwygxgxzmfssj-r-farver-2.0.1.drv': 1 dependencies couldn't be built
cannot build derivation '/nix/store/hxfir2l8xrl47hgnzj516q033i7farxh-r-foreign-0.8-72.drv': 1 dependencies couldn't be built
cannot build derivation '/nix/store/8cmqs9dvjikddcq5zrvd1xwl785j2m5m-r-generics-0.0.2.drv': 1 dependencies couldn't be built
cannot build derivation '/nix/store/j977yhzqf3cbd134rw5sgiq0xxlh4h99-r-glue-1.3.1.drv': 1 dependencies couldn't be built
cannot build derivation '/nix/store/869wqwvziksdf6l5yrwg0f33kg3sxlmw-r-gtable-0.3.0.drv': 1 dependencies couldn't be built
cannot build derivation '/nix/store/3s5xzmf8xqqw9fv16xcr6rsv3d9ppzng-r-labeling-0.3.drv': 1 dependencies couldn't be built
cannot build derivation '/nix/store/1qvk7rzhl8q62c6kj9am6wh7bwdq5zvg-r-lattice-0.20-38.drv': 1 dependencies couldn't be built
cannot build derivation '/nix/store/f0z1qjxlvidj9nmqglsx4k693wnb6djn-r-lazyeval-0.2.2.drv': 1 dependencies couldn't be built
cannot build derivation '/nix/store/hiysv614937w5az73w0bb2n79ihyfrpi-r-magrittr-1.5.drv': 1 dependencies couldn't be built
cannot build derivation '/nix/store/wzb2pv5jh23j73wsk5mm6f3m40dyms81-r-nloptr-1.2.1.drv': 1 dependencies couldn't be built
cannot build derivation '/nix/store/6vyhsr43pyc6bn8aibfqizrpikn1i1l7-r-nnet-7.3-12.drv': 1 dependencies couldn't be built
cannot build derivation '/nix/store/dr35k736j0whj3c0zmarpxl8yzjijjxg-r-pkgconfig-2.0.3.drv': 1 dependencies couldn't be built
cannot build derivation '/nix/store/kzslyyvyafr387sr0i3i54gvni7bqp3r-r-plogr-0.2.0.drv': 1 dependencies couldn't be built
cannot build derivation '/nix/store/qq1ypfgdqbk5cg8597011s4vv28v97i4-r-rlang-0.4.2.drv': 1 dependencies couldn't be built
cannot build derivation '/nix/store/bw3xq3p5jka8cd2kn6i69hka43gzrpqr-r-rpart-4.1-15.drv': 1 dependencies couldn't be built
cannot build derivation '/nix/store/8dpzmwjh6rmhqnihm41ry0k32jqydba0-r-spatial-7.3-11.drv': 1 dependencies couldn't be built
cannot build derivation '/nix/store/02cb1lqmnwfwnabv1hfpan6g8jkrll25-r-stringi-1.4.3.drv': 1 dependencies couldn't be built
cannot build derivation '/nix/store/ap89szkl2v0pydkbi1jhljz0grax5g06-r-utf8-1.1.4.drv': 1 dependencies couldn't be built
cannot build derivation '/nix/store/jbas5zk93ilycsxda7iwngfkif3hyfpg-r-viridisLite-0.3.0.drv': 1 dependencies couldn't be built
cannot build derivation '/nix/store/m000nih044h0fffagcli2h6n8hhyw1zs-r-withr-2.1.2.drv': 1 dependencies couldn't be built
cannot build derivation '/nix/store/randkb4lvrvd4xxpgrlbfz2cfn110ggz-r-zeallot-0.1.0.drv': 1 dependencies couldn't be built
cannot build derivation '/nix/store/x1qfqw74n129z0kgmsg885f40piw5ig1-sherpa-2.2.6.drv': 1 dependencies couldn't be built
cannot build derivation '/nix/store/2r565a8cmksgx8h9v14305gnw9w8ks9h-singular-4.1.1p2.drv': 1 dependencies couldn't be built
cannot build derivation '/nix/store/52gk4ga121va9d1kirf48p6s2snganjh-singular-4.1.1p2.drv': 1 dependencies couldn't be built
cannot build derivation '/nix/store/890znpiyfnl90lanma6k0cwds01w2vjq-spark-2.4.4.drv': 2 dependencies couldn't be built
cannot build derivation '/nix/store/1z65mxwjdy225lc3il2qr9gyijrwckb7-sssd-1.16.4.drv': 1 dependencies couldn't be built
cannot build derivation '/nix/store/c5zhgnp8hkj4nmgcd4qrh02s1w5108aq-sympow-2.023.5.drv': 1 dependencies couldn't be built
cannot build derivation '/nix/store/y69v74z0hk2hjq9a8dl87mpslhvw5j6p-texlive-combined-medium-2019.drv': 7 dependencies couldn't be built
cannot build derivation '/nix/store/6fj9cgjyvs827q2c8ycfhakhr1d54v1w-thepeg-2.2.0.drv': 1 dependencies couldn't be built
cannot build derivation '/nix/store/ssjy7sg9d64dn1g40hlbg95ikwbza54k-H-0.9.0.1.drv': 1 dependencies couldn't be built
cannot build derivation '/nix/store/4hr75fkrlpna2fg5w30wjhyanr6pdkm3-asciidoc-8.6.9.drv': 4 dependencies couldn't be built
cannot build derivation '/nix/store/7zfv4xwalwb6nr2mv58ksslv18p8a15y-asciidoc-8.6.9.drv': 3 dependencies couldn't be built
cannot build derivation '/nix/store/xr2v9jy0ili5raqz4rvx5fi9nqm64avc-autofs-5.1.6.drv': 1 dependencies couldn't be built
cannot build derivation '/nix/store/i43vzixkgskzrki03mzkzsbrb98bcxqv-denemo-2.3.0.drv': 2 dependencies couldn't be built
cannot build derivation '/nix/store/z4r6yk4djkarrq9d8w4n2xn6xg0xnajm-digikam-6.2.0.drv': 2 dependencies couldn't be built
cannot build derivation '/nix/store/1k2v09d8pfxjis7rghabyxkk2prxhhy2-dwarf-fortress-full.drv': 1 dependencies couldn't be built
cannot build derivation '/nix/store/zly0igviw63bzq514335yf8plv2lq81j-frescobaldi-3.1.drv': 1 dependencies couldn't be built
cannot build derivation '/nix/store/iqlhlng8py8c3x75i33glrvzwxippcwq-herwig-7.2.0.drv': 1 dependencies couldn't be built
cannot build derivation '/nix/store/hq132l4qi4zfrfvrmcf1qi7dj6w4n30m-lilypond-2.19.83.drv': 1 dependencies couldn't be built
cannot build derivation '/nix/store/06pgyikms0dkmzrh18c45qbk5nrimcy0-ne-3.2.1.drv': 1 dependencies couldn't be built
cannot build derivation '/nix/store/587znbsvwpjdk116dg1cla2kx4gz6msv-polymake-3.2.rc4.drv': 2 dependencies couldn't be built
cannot build derivation '/nix/store/k9cwibkhwsn9zdyzc1zrm123k4w4s53h-pynac-0.7.26.drv': 1 dependencies couldn't be built
cannot build derivation '/nix/store/nxqyb9rdg0d38xwxydamzfdziqyk224j-pynac-0.7.26.drv': 1 dependencies couldn't be built
cannot build derivation '/nix/store/sf8md171pxhqjhy62spn45xh9zadbvvv-python2.7-cypari2-2.1.1.drv': 2 dependencies couldn't be built
cannot build derivation '/nix/store/zs1g1jrsrswixh6qs5zriwxyha6hkila-python2.7-fpylll-0.5.1dev.drv': 2 dependencies couldn't be built
cannot build derivation '/nix/store/6ybdn44b6klyz0why6hzfpmi243s15rz-python2.7-pplpy-0.8.4.drv': 2 dependencies couldn't be built
cannot build derivation '/nix/store/ij7rrv4igzxva0x17ww2npavvdw2821w-python3.7-cypari2-2.1.1.drv': 2 dependencies couldn't be built
cannot build derivation '/nix/store/ml9y2sc6vx15n7wr1aszny3vafkz3kw0-python3.7-fpylll-0.5.1dev.drv': 2 dependencies couldn't be built
cannot build derivation '/nix/store/5frn3ivy2rgvl9s5l36br8bbn9jp3sdj-python3.7-pplpy-0.8.4.drv': 1 dependencies couldn't be built
cannot build derivation '/nix/store/0348h8w99mhcsmq9h8lb9qikidrsk3dz-python3.8-cypari2-2.1.1.drv': 2 dependencies couldn't be built
cannot build derivation '/nix/store/fdxr8xzpq0mpk3a3c27s0b9cbzcxqdwl-python3.8-fpylll-0.5.1dev.drv': 2 dependencies couldn't be built
cannot build derivation '/nix/store/i7s6069kx0lyfj81q18vx1jq2ibsm05c-python3.8-pplpy-0.8.4.drv': 1 dependencies couldn't be built
cannot build derivation '/nix/store/mh2zs0zg2lxpn2iflirx9wfm433m93rd-r-Matrix-1.2-18.drv': 2 dependencies couldn't be built
cannot build derivation '/nix/store/5dm6i3kmb98xixaizmgs5pfg0k90z11m-r-bit64-0.9-7.drv': 2 dependencies couldn't be built
cannot build derivation '/nix/store/r369rgjz7z4v4g8k88pi0n3w429vv0w1-r-class-7.3-15.drv': 2 dependencies couldn't be built
cannot build derivation '/nix/store/d57lsbchzirvssi595bsyr77nhmj8vvj-r-cli-1.1.0.drv': 3 dependencies couldn't be built
cannot build derivation '/nix/store/78g55ic8wj32nnrl2419vsz3ahfjzr3x-r-ellipsis-0.3.0.drv': 2 dependencies couldn't be built
cannot build derivation '/nix/store/8p5vxdwzcrfld9jkfb5kbp5zk82djnr1-r-hexbin-1.28.0.drv': 2 dependencies couldn't be built
cannot build derivation '/nix/store/c5plm0vsnxa9aa1y5jk75801pz15s5vn-r-lifecycle-0.1.0.drv': 3 dependencies couldn't be built
cannot build derivation '/nix/store/6ka9x8ja0alh72whgnxqq86x7sjff7nj-r-memoise-1.1.0.drv': 2 dependencies couldn't be built
cannot build derivation '/nix/store/l0kzaa5zadfg93w0angk204bkvjqwixm-r-minqa-1.2.4.drv': 2 dependencies couldn't be built
cannot build derivation '/nix/store/1lnjvymn6888wb59yncy214739y558mw-r-munsell-0.5.0.drv': 2 dependencies couldn't be built
cannot build derivation '/nix/store/cllswhrzxvyrr6va8kvgnfj1662g5pn9-r-nlme-3.1-142.drv': 2 dependencies couldn't be built
cannot build derivation '/nix/store/bbzjs7k9539wx3yhg4wgzv76qjl89ql3-r-plyr-1.8.4.drv': 2 dependencies couldn't be built
cannot build derivation '/nix/store/fgvg3a5cpj44cd2cqjdw5x2ljigll5mq-r-prettyunits-1.0.2.drv': 3 dependencies couldn't be built
cannot build derivation '/nix/store/gg5zcxf3b24q5sfp2sc5xp9hji09h9gp-r-purrr-0.3.3.drv': 3 dependencies couldn't be built
cannot build derivation '/nix/store/58ril292cwmm7b8wgq46ysxhppka1czc-r-stringr-1.4.0.drv': 4 dependencies couldn't be built
cannot build derivation '/nix/store/valvwr640idfcw4c74qda3fy0vyas901-sage-env-locations.drv': 3 dependencies couldn't be built
cannot build derivation '/nix/store/a77gkd6spvzpifs587dad3llx959jjdb-solfege-3.22.2.drv': 1 dependencies couldn't be built
cannot build derivation '/nix/store/i4arhaklw38kiplh1lql7b9vsmq1xnhl-btrbk-0.29.0.drv': 1 dependencies couldn't be built
cannot build derivation '/nix/store/2d5p4q1qflm8m37ys22bh6a8294vp643-disorderfs-0.5.6.drv': 1 dependencies couldn't be built
cannot build derivation '/nix/store/aam3gv7kasq1629f64cvx2l27lcnmnki-r-RcppEigen-0.3.3.7.0.drv': 3 dependencies couldn't be built
cannot build derivation '/nix/store/9mr6pnfh9f8hxbr5n7gkq9f7psl37159-r-mgcv-1.8-31.drv': 3 dependencies couldn't be built
cannot build derivation '/nix/store/7g2bav73x5q8kjvi762r9ki252x13xjd-r-reshape2-1.4.3.drv': 4 dependencies couldn't be built
cannot build derivation '/nix/store/mrmaj41wm9wrl4akizbvp0danh319kcc-r-scales-1.1.0.drv': 8 dependencies couldn't be built
cannot build derivation '/nix/store/c65sw4ps0ph314pgyfb8c0b8i5dcdxys-r-survival-3.1-7.drv': 2 dependencies couldn't be built
cannot build derivation '/nix/store/jrwbx9dks7sxzcp9niia5vai4qk99fd6-r-tidyselect-0.2.5.drv': 5 dependencies couldn't be built
cannot build derivation '/nix/store/36w13sf34r388s71k4vsryv1rxxa91ry-r-vctrs-0.2.0.drv': 7 dependencies couldn't be built
cannot build derivation '/nix/store/xs8drlr3qjg4l8ffa1mhffq30853hij6-R-3.6.2-wrapper.drv': 16 dependencies couldn't be built
cannot build derivation '/nix/store/i8wc688lj9hrsfcrf1dkvkqx829dcvca-r-blob-1.2.0.drv': 4 dependencies couldn't be built
cannot build derivation '/nix/store/yiilmjyymb953ps4rsznzxk64p6imhkd-r-lme4-1.1-21.drv': 10 dependencies couldn't be built
cannot build derivation '/nix/store/d2f28my2hpcqqhb92w799cvskknzg90m-r-pillar-1.4.2.drv': 7 dependencies couldn't be built
cannot build derivation '/nix/store/cqvmaq10i8b7yns3mirfik3l9rn7iphg-r-RSQLite-2.1.2.drv': 9 dependencies couldn't be built
cannot build derivation '/nix/store/vv2w6pq6b15hipdh24kb2c6wchqd6v2d-r-tibble-2.1.3.drv': 7 dependencies couldn't be built
cannot build derivation '/nix/store/kzhw1a9hqg9rdi219mxnqy2ysh1smrdc-r-dplyr-0.8.3.drv': 12 dependencies couldn't be built
cannot build derivation '/nix/store/hcf6n69v99pvw62s9anbmm6j7kw9hk1r-r-ggplot2-3.2.1.drv': 12 dependencies couldn't be built
cannot build derivation '/nix/store/zxa8hrn5mm4qmi6sbw86407bcczarw4k-r-dbplyr-1.4.2.drv': 10 dependencies couldn't be built
cannot build derivation '/nix/store/wwiycxvpwyppsn4by4dvg93ry93n233i-r-tidyr-1.0.0.drv': 13 dependencies couldn't be built
cannot build derivation '/nix/store/64grckb3sm0qf2xn1zgx4vn3z6gzfm4c-r-broom-0.5.2.drv': 10 dependencies couldn't be built
cannot build derivation '/nix/store/qls3sp3v4gnxpgsbkyjqg41vf8rkf9zb-python2.7-rpy2-2.8.6.drv': 25 dependencies couldn't be built
cannot build derivation '/nix/store/w28nnkhn45dgwbfm76mq8bj1722z52p3-python3.7-rpy2-3.2.4.drv': 25 dependencies couldn't be built
cannot build derivation '/nix/store/n5by76qf7zra4zzh0w9i9g6qz17bv8p5-python3.8-rpy2-3.2.4.drv': 25 dependencies couldn't be built
cannot build derivation '/nix/store/gf8cnqsnmir22gjwx4vj65yqy7z2i80y-udiskie-1.7.7.drv': 1 dependencies couldn't be built
cannot build derivation '/nix/store/8gi2bdnqaf2qwcpvpkxx35rin8rwb9a4-RStudio-1.2.1335.drv': 1 dependencies couldn't be built
cannot build derivation '/nix/store/aslyfkvshwdinc5w90f935akl84bihan-RStudio-1.2.1335-wrapper.drv': 17 dependencies couldn't be built
cannot build derivation '/nix/store/s8k1a3386a8r1ywhvl2z4cd1nsi9imia-bookworm-unstable-2018-11-19.drv': 1 dependencies couldn't be built
cannot build derivation '/nix/store/73754xbq07q33wlvsqls1b0szd0330m1-sushi-3.34.0.drv': 1 dependencies couldn't be built
cannot build derivation '/nix/store/i5429w6skm5qyj0xpkbhl69y23sanxm5-gnome-shell-3.34.3.drv': 1 dependencies couldn't be built
cannot build derivation '/nix/store/jin85373hgqcaa2sgx94bd2v9kfhzmbs-adapta-gtk-theme-3.95.0.11.drv': 1 dependencies couldn't be built
cannot build derivation '/nix/store/v977kljyqk16cz7n9n2lxnawsilpvvaq-chrome-gnome-shell-10.1.drv': 1 dependencies couldn't be built
cannot build derivation '/nix/store/jqxpldi17r68w2fvqcswaq2hgc9mis1x-gnome-session-3.34.2.drv': 1 dependencies couldn't be built
cannot build derivation '/nix/store/f886crk5w5c5kd5sg9vx5bs3clalxh08-gnome-shell-pomodoro-0.16.0.drv': 1 dependencies couldn't be built
cannot build derivation '/nix/store/mg0c9c5fwxj83hlz2zfk6axa9hk62i75-pantheon.drv': 1 dependencies couldn't be built
cannot build derivation '/nix/store/1an04avgpv8lmcvfrp87v8xzasg8yk18-elementary-session-settings-5.0.3.drv': 1 dependencies couldn't be built
cannot build derivation '/nix/store/v3awf6nw88zgv6bilgbspdq0z4c60s86-gnome-books-3.34.0.drv': 1 dependencies couldn't be built
cannot build derivation '/nix/store/gsyry69pqy0wz84yl2mqjhg95hr6v0b3-gnome-documents-3.34.0.drv': 1 dependencies couldn't be built
cannot build derivation '/nix/store/7q9bj2m1xylkca0dkyx2rn4fzkx6yv4y-gnome-terminal-3.34.2.drv': 1 dependencies couldn't be built
cannot build derivation '/nix/store/zq97y9s9z2qmr6ifqcpf31s0amkcq6bi-gnome-tweaks-3.34.0.drv': 1 dependencies couldn't be built
waiting for locks or build slots...
cannot build derivation '/nix/store/9xk0j3fzhk3vhhvrymnmclczk2cbzym7-gnome-shell-gsconnect-30.drv': 1 dependencies couldn't be built
cannot build derivation '/nix/store/4xkx928kwf7vlf1vvnqgakbpjq0v9n8d-gnome-control-center-3.34.2.drv': 1 dependencies couldn't be built
cannot build derivation '/nix/store/p8v4m3dgfcj46dq2ssfw4cdk0bvx0z6l-openmolcas-19.11.drv': 1 dependencies couldn't be built
error: build of '/nix/store/7309hx9853617q6rbvss7rgj13ydqa00-fflas-ffpack-2.4.3.drv' failed: builder for '/nix/store/7309hx9853617q6rbvss7rgj13ydqa00-fflas-ffpack-2.4.3.drv' failed with exit code 2
builder for '/nix/store/7309hx9853617q6rbvss7rgj13ydqa00-fflas-ffpack-2.4.3.drv' failed with exit code 1; last 10 log lines:
  make[4]: *** [Makefile:1710: test-suite.log] Error 1
  make[4]: Leaving directory '/build/source/tests'
  make[3]: *** [Makefile:1818: check-TESTS] Error 2
  make[3]: Leaving directory '/build/source/tests'
  make[2]: *** [Makefile:2196: check-am] Error 2
  make[2]: Leaving directory '/build/source/tests'
  make[1]: *** [Makefile:1602: check-recursive] Error 1
  make[1]: Leaving directory '/build/source/tests'
  make: *** [Makefile:567: check-recursive] Error 1
  builder for '/nix/store/7309hx9853617q6rbvss7rgj13ydqa00-fflas-ffpack-2.4.3.drv' failed with exit code 2
cannot build derivation '/nix/store/dbzk2fhz23ig2n1s87ikaabwiiwvfaxw-linbox-1.6.3.drv': 1 dependencies couldn't be built
cannot build derivation '/nix/store/i8vgnfqla1d1ynqlq2m3b6k4gms4ml70-linbox-1.6.3.drv': 1 dependencies couldn't be built
cannot build derivation '/nix/store/fnywczpq39ym4bnp93yckbbndy6yxxh9-python2.7-sagelib-8.9.drv': 11 dependencies couldn't be built
cannot build derivation '/nix/store/hcn57v9baichaj1iydyf83fmkhb3cfvb-python-2.7.17-env.drv': 11 dependencies couldn't be built
cannot build derivation '/nix/store/flgw7gxmzs6rsw2ag2fa4zq9s42973d2-sage-env.drv': 15 dependencies couldn't be built
cannot build derivation '/nix/store/yvfr4h9a81ai9fik211frdwlgkqn2khf-sage-with-env-8.9.drv': 8 dependencies couldn't be built
cannot build derivation '/nix/store/llb1xd444sw0x31gxzisk8xn8xfkh212-jupyter-kernels.drv': 2 dependencies couldn't be built
cannot build derivation '/nix/store/wl830ngiz97drzlvzmmmgyfnplfp1syb-sage-tests-8.9.drv': 1 dependencies couldn't be built
cannot build derivation '/nix/store/iyf7wp72hwpc2f5nir12n6awqbrh93zi-sagedoc-8.9.drv': 7 dependencies couldn't be built
cannot build derivation '/nix/store/7qj7493qjzwl08fp8946h870admb047n-sage-8.9.drv': 3 dependencies couldn't be built
cannot build derivation '/nix/store/zwvjpa5pba1d5dyyan9wzqjxyqp1hyh7-sage-8.9.drv': 4 dependencies couldn't be built
cannot build derivation '/nix/store/1762cwm2xh38njw6spfqy205zaj1w3dz-env.drv': 108 dependencies couldn't be built
[4256 built (13 failed), 7273 copied (49938.7 MiB), 2624.4 MiB DL]
error: build of '/nix/store/1762cwm2xh38njw6spfqy205zaj1w3dz-env.drv' failed
https://github.com/NixOS/nixpkgs/pull/77186
16 package marked as broken and skipped:
gazebo gazebo-headless gazeboSimulator.gazebo6 gazeboSimulator.gazebo6-headless gazeboSimulator.gazebo7 gazeboSimulator.gazebo7-headless gimpPlugins.exposureBlend gimpPlugins.focusblur gimpPlugins.texturize jbrout natron openspace pdf2htmlEX python27Packages.pypandoc python37Packages.pypandoc python38Packages.pypandoc

108 package failed to build:
R adapta-gtk-theme asciidoc-full asciidoc-full-with-plugins asymptote auctex autofs5 bookworm btrbk cddlib chrome-gnome-shell dblatex dblatexFull denemo digikam disorderfs dwarf-fortress-packages.dwarf-fortress-full dwarf-therapist dwarf-fortress-packages.dwarf-therapist-original eclib enblend-enfuse eukleides evince frescobaldi gfan giac giac-with-xcas glom gnome3.gnome-books gnome3.gnome-control-center gnome3.gnome-documents gnome3.gnome-session gnome3.gnome-shell gnome3.gnome-terminal gnome3.gnome-tweaks gnome3.pomodoro gnome3.sushi gnomeExtensions.gsconnect gp2c gscan2pdf haskellPackages.H haskellPackages.inline-r herwig hugin ipe kdeApplications.kdepim-addons kitinerary lcalc lilypond lilypond-unstable lilypond-with-fonts mcgrid mitscheme mitschemeX11 modem-manager-gui mysql-workbench ne nuweb openmolcas pantheon.elementary-session-settings paperless pari perl528Packages.Po4a perl530Packages.Po4a polymake pynac python27Packages.cartopy python27Packages.cypari2 python27Packages.cysignals python27Packages.fpylll python27Packages.geopandas python27Packages.pplpy rivet python27Packages.rpy2 python27Packages.sphinxcontrib-tikz python37Packages.cypari2 python37Packages.cysignals python37Packages.fpylll python37Packages.pplpy python37Packages.rpy2 python37Packages.sphinxcontrib-tikz python38Packages.cypari2 python38Packages.cysignals python38Packages.fpylll python38Packages.paperwork-backend python38Packages.pplpy python38Packages.rpy2 python38Packages.sphinxcontrib-tikz rWrapper rstudio rstudioWrapper sage sageWithDoc scribusUnstable sherpa singular skribilo solfege spark sssd sympow system-config-printer texlive.combined.scheme-basic texlive.combined.scheme-small texmacs thepeg udiskie zathura

202 package built:
aesop apvlv arc-theme arx-libertatis bibata-cursors bibata-cursors-translucent bibata-extra-cursors calibre capitaine-cursors cups-filters deepin.dde-api deepin.dde-control-center deepin.dde-daemon deepin.dde-dock deepin.dde-file-manager deepin.dde-kwin deepin.dde-launcher deepin.dde-session-ui deepin.deepin-desktop-base deepin.deepin-desktop-schemas deepin.deepin-wallpapers deja-dup diff-pdf diffpdf dolphin dragon dropbox-cli eaglemode elisa emojione empathy enlightenment.econnman enlightenment.efl enlightenment.enlightenment enlightenment.ephoto enlightenment.rage enlightenment.terminology epdfview fbida fgallery fim gImageReader gdal gdal_2 geeqie gimp gimp-with-plugins gimpPlugins.fourier gimpPlugins.gap gimpPlugins.gimplensfun gimpPlugins.gmic gimpPlugins.lightning gimpPlugins.lqrPlugin gimpPlugins.resynthesizer gimpPlugins.ufraw gimpPlugins.waveletSharpen gmic-qt-krita gnome-photos gnome3.cheese gnome3.file-roller gnome3.gnome-boxes gnome3.gnome-contacts gnome3.gnome-user-share gnome3.nautilus gnome3.nautilus-python gnome3.totem tracker-miners grass green-pdfviewer gummi gwenview inkscape k3b kde-cli-tools kdeApplications.baloo-widgets kdeApplications.dolphin-plugins kdenlive kfind okular libsForQt5.baloo libsForQt5.kfilemetadata kdeplasma-addons kdev-php kdev-python kdevelop kdevelop-unwrapped kile kmenuedit krita krohnkite krop kwin-tiling leela libLAS libreoffice libreoffice-fresh libreoffice-fresh-unwrapped libreoffice-unwrapped plasma5.khotkeys libsForQt5.poppler lumina.lumina-pdf mapnik mate.atril mate.mate-utils merkaartor nixnote2 numix-cursor-theme numix-solarized-gtk-theme odpdown openorienteering-mapper pantheon.extra-elementary-contracts paperwork pdf-quench pdf2djvu pdf2svg pdfarranger pdfgrep pdfmod pdfpc pdfsandwich pdftag perl528Packages.Tirex perl530Packages.Tirex peruse photoqt plasma-desktop plasma-workspace powerdevil systemsettings plata-theme pop-gtk-theme poppler poppler_gi poppler_min poppler_utils pqiv pympress python27Packages.fiona python27Packages.labelbox python27Packages.pdf2image python27Packages.pdftotext python27Packages.poppler-qt5 python27Packages.pypoppler python27Packages.python-mapnik python27Packages.pythonefl python27Packages.rasterio python27Packages.tilestache python27Packages.worldengine python37Packages.cartopy python37Packages.fiona python37Packages.gdal python37Packages.geopandas python37Packages.labelbox python37Packages.osmnx python37Packages.paperwork-backend python37Packages.pdf2image python37Packages.pdftotext python37Packages.poppler-qt5 python37Packages.python-mapnik python37Packages.pythonefl python37Packages.rasterio worldengine-cli python38Packages.cartopy python38Packages.fiona python38Packages.gdal python38Packages.geopandas python38Packages.labelbox python38Packages.osmnx python38Packages.pdf2image python38Packages.pdftotext python38Packages.poppler-qt5 python38Packages.python-mapnik python38Packages.pythonefl python38Packages.rasterio python38Packages.worldengine qcomicbook qgis qgis-unwrapped qlandkartegt qmapshack qpdfview qtikz racket racket-minimal recoll ripgrep-all saga splix texmaker texstudio texworks tikzit twemoji-color-font ufraw unoconv valentina wacomtablet wpa_supplicant_gui xfce.tumbler xournal xournalpp yacreader

For the package fflas-ffpack-2.4.3 the test test-fsytrf ran for 9 hours until I killed it in htop.

None of the failures seem related to poppler.

I've tried okular built agains this new poppler version and it works fine.

@nh2 nh2 merged commit 5b78ca4 into NixOS:staging Jan 18, 2020
16 checks passed
16 checks passed
poppler on aarch64-linux Failure
Details
poppler on x86_64-darwin Failure
Details
poppler on x86_64-linux Failure
Details
Evaluation Performance Report Evaluator Performance Report
Details
grahamcofborg-eval ^.^!
Details
grahamcofborg-eval-check-maintainers matching changed paths to changed attrs...
Details
grahamcofborg-eval-check-meta config.nix: checkMeta = true
Details
grahamcofborg-eval-darwin nix-instantiate --arg nixpkgs { outPath=./.; revCount=999999; shortRev="ofborg"; } ./pkgs/top-level/release.nix -A darwin-tested
Details
grahamcofborg-eval-nixos nix-instantiate --arg nixpkgs { outPath=./.; revCount=999999; shortRev="ofborg"; } ./nixos/release-combined.nix -A tested
Details
grahamcofborg-eval-nixos-manual nix-instantiate --arg nixpkgs { outPath=./.; revCount=999999; shortRev="ofborg"; } ./nixos/release.nix -A manual
Details
grahamcofborg-eval-nixos-options nix-instantiate --arg nixpkgs { outPath=./.; revCount=999999; shortRev="ofborg"; } ./nixos/release.nix -A options
Details
grahamcofborg-eval-nixpkgs-manual nix-instantiate --arg nixpkgs { outPath=./.; revCount=999999; shortRev="ofborg"; } ./pkgs/top-level/release.nix -A manual
Details
grahamcofborg-eval-nixpkgs-tarball nix-instantiate --arg nixpkgs { outPath=./.; revCount=999999; shortRev="ofborg"; } ./pkgs/top-level/release.nix -A tarball
Details
grahamcofborg-eval-nixpkgs-unstable-jobset nix-instantiate --arg nixpkgs { outPath=./.; revCount=999999; shortRev="ofborg"; } ./pkgs/top-level/release.nix -A unstable
Details
grahamcofborg-eval-package-list nix-env -qa --json --file .
Details
grahamcofborg-eval-package-list-no-aliases nix-env -qa --json --file . --arg config { allowAliases = false; }
Details
@r-ryantm r-ryantm deleted the r-ryantm:auto-update/poppler-glib branch Jan 19, 2020
@nh2
Copy link
Contributor

@nh2 nh2 commented Feb 9, 2020

This upgrade broke scribus; from above:

  /build/scribus-1.5.5/scribus/plugins/import/pdf/slaoutput.cpp: In member function 'void SlaOutputDev::startDoc(PDFDoc*, XRef*, Catalog*)':
  /build/scribus-1.5.5/scribus/plugins/import/pdf/slaoutput.cpp:1232:16: error: 'class GlobalParams' has no member named 'getEnableFreeType'
   1232 |  globalParams->getEnableFreeType(),
        |                ^~~~~~~~~~~~~~~~~

Build failure: https://nix-cache.s3.amazonaws.com/log/9qwl54cvym0dzrdlppr99ssf047sqny4-scribus-1.5.5.drv

Should be fixed by: scribusproject/scribus@3742559

Found by @Kiwi and @worldofpeace

Kiwi added a commit to Kiwi/nixpkgs that referenced this pull request Feb 9, 2020
see: NixOS#77186 (comment)

it seems poppler updates (almost?) always break scribusUnstable
@Kiwi Kiwi mentioned this pull request Feb 9, 2020
5 of 9 tasks complete
@Kiwi
Copy link
Contributor

@Kiwi Kiwi commented Feb 9, 2020

The much awaited PR has arrived. Apologies it took so long. 😉 #79585

Kiwi added a commit to Kiwi/nixpkgs that referenced this pull request Feb 9, 2020
see: NixOS#77186 (comment)

it seems poppler updates (almost?) always break scribusUnstable

additionally:
formatted with nixpkgs-fmt;
added kiwi to maintainers - the more eyes the better;
add additional licenses that are listed on scribus COPYING;
dtzWill added a commit to dtzWill/nixpkgs that referenced this pull request Feb 25, 2020
see: NixOS#77186 (comment)

it seems poppler updates (almost?) always break scribusUnstable

additionally:
formatted with nixpkgs-fmt;
added kiwi to maintainers - the more eyes the better;
add additional licenses that are listed on scribus COPYING;

(cherry picked from commit bef2837)
Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment
Projects
None yet
Linked issues

Successfully merging this pull request may close these issues.

None yet

3 participants
You can’t perform that action at this time.